<?xml version="1.0" encoding="GB2312"?>
<MMParamConfig>
	<!-- MagicMomentFunParam -->
	<MagicMomentBasicParams>
		<simTimeMin>500</simTimeMin>
		<simTimeMax>1000</simTimeMax>
		<hammingDisThd>40</hammingDisThd>
		<hammingDisThdAdd>5</hammingDisThdAdd>
		<delSimThdAdd>5</delSimThdAdd>
		<similarThd>0.8</similarThd>
		<symmetryScoreThd>50.0f</symmetryScoreThd>
	</MagicMomentBasicParams>
	<!-- IntegrateFunParam -->
	<IntegrateInfoAlgoParams>
		<effectivePersonBodyRatioMinBack>0.03654</effectivePersonBodyRatioMinBack>
		<effectivePersonFaceRatioMinBack>0.00227</effectivePersonFaceRatioMinBack>
		<effectivePersonFaceRatioMaxBack>0.25</effectivePersonFaceRatioMaxBack>
		<effectiveAnimalFaceRatioMinBack>0.00465</effectiveAnimalFaceRatioMinBack>
		<effectiveAnimalFaceRatioMaxBack>0.25</effectiveAnimalFaceRatioMaxBack>
		<effectivePersonBodyRatioMinFront>0.03654</effectivePersonBodyRatioMinFront>
		<effectivePersonFaceRatioMinFront>0.00227</effectivePersonFaceRatioMinFront>
		<effectivePersonFaceRatioMaxFront>0.5</effectivePersonFaceRatioMaxFront>
		<effectiveAnimalFaceRatioMinFront>0.00465</effectiveAnimalFaceRatioMinFront>
		<effectiveAnimalFaceRatioMaxFront>0.5</effectiveAnimalFaceRatioMaxFront>
		<centerMarginCheckeredNumW>8.0</centerMarginCheckeredNumW>
		<centerMarginCheckeredNumH>8.0</centerMarginCheckeredNumH>
		<centerObjectMarginCheckeredNumW>6.0</centerObjectMarginCheckeredNumW>
		<centerObjectMarginCheckeredNumH>6.0</centerObjectMarginCheckeredNumH>
		<cropMarginNumW>15.0</cropMarginNumW>
		<cropMarginNumH>15.0</cropMarginNumH>
		<objectCropMarginNumW>10.0</objectCropMarginNumW>
		<objectCropMarginNumH>10.0</objectCropMarginNumH>
		<centerMarginIllegalW>15.0</centerMarginIllegalW>
		<centerMarginIllegalH>15.0</centerMarginIllegalH>
		<cropMarginIllegalW>30.0</cropMarginIllegalW>
		<cropMarginIllegalH>30.0</cropMarginIllegalH>
		<facePosePitchBase>0</facePosePitchBase>
		<facePoseYawBase>0</facePoseYawBase>
		<facePoseRollBase0>0</facePoseRollBase0>
		<facePoseRollBase90>90</facePoseRollBase90>
		<facePoseRollBase180>180</facePoseRollBase180>
		<facePoseRollBase270>90</facePoseRollBase270>
		<facePosePitchRange>20</facePosePitchRange>
		<facePoseYawRange>20</facePoseYawRange>
		<facePoseRollRange>30</facePoseRollRange>
		<facePosePitchRangeMax>45</facePosePitchRangeMax>
		<facePoseYawRangeMax>45</facePoseYawRangeMax>
		<facePoseRollRangeMax>45</facePoseRollRangeMax>
		<facePositiveSmileMinThd>0.95</facePositiveSmileMinThd>
		<facePositiveNoSmileLambda>0.4</facePositiveNoSmileLambda>
		<facePositiveNoSmileNoOpenEyeLambda>0.1</facePositiveNoSmileNoOpenEyeLambda>
		<facePositiveSmileNoOpenEyeLambda>0.4</facePositiveSmileNoOpenEyeLambda>
		<faceSideSmileMinThd>0.2</faceSideSmileMinThd>
		<faceSideLambda>0.7</faceSideLambda>
		<faceSideNoSmileLambda>0.8</faceSideNoSmileLambda>
		<faceSideNoSmileNoOpenEyeLambda>0.2</faceSideNoSmileNoOpenEyeLambda>
		<faceSideSmileNoOpenEyeLambda>0.6</faceSideSmileNoOpenEyeLambda>
		<faceMainNoFacePenaltytermThd>0.5</faceMainNoFacePenaltytermThd>
		<faceVaildNoMainPenaltytermThd>0.3</faceVaildNoMainPenaltytermThd>
		<faceNoVaildNoMainPenaltytermThd>0.1</faceNoVaildNoMainPenaltytermThd>
		<faceStatusFirst>30</faceStatusFirst>
		<faceStatusSecond>70</faceStatusSecond>
		<faceStatusThird>100</faceStatusThird>
		<facePoseDecorousThd>0.7</facePoseDecorousThd>
		<personTopK>3</personTopK>
		<kPConf>0.5</kPConf>
		<smileConf>0.8</smileConf>
		<animalFaceDecorousThd>0.5</animalFaceDecorousThd>
		<actionClsNum>9</actionClsNum>
		<actionAnimalClsNum>2</actionAnimalClsNum>
		<mainPersonNumMax>4</mainPersonNumMax>
		<mainPersonNumMaxGP>8</mainPersonNumMaxGP>
		<backAreaRatio>0.4</backAreaRatio>
		<personTrunMarginH>40.0</personTrunMarginH>
		<personTrunMarginW>40.0</personTrunMarginW>
		<kPDisRatioFirst>0.0667</kPDisRatioFirst>
		<kPDisRatioSecond>0.05</kPDisRatioSecond>
		<kPDisRatioThird>0.4</kPDisRatioThird>
	</IntegrateInfoAlgoParams>
	<!-- CompositionFunParam -->
	<FrameChooseCompAlgoParams>
		<nightExpoTimeThdBack>10000</nightExpoTimeThdBack>
		<nightLuxIndexThdBack>310</nightLuxIndexThdBack>
		<staticPersonExpoTimeThdBack>10000</staticPersonExpoTimeThdBack>
		<staticAnimalExpoTimeThdBack>10000</staticAnimalExpoTimeThdBack>
		<staticSceneExpoTimeThdBack>10000</staticSceneExpoTimeThdBack>
		<actionPersonExpoTimeThdBack>10101</actionPersonExpoTimeThdBack>
		<actionAnimalExpoTimeThdBack>10101</actionAnimalExpoTimeThdBack>
		<nightExpoTimeThdFront>20000</nightExpoTimeThdFront>
		<nightLuxIndexThdFront>380</nightLuxIndexThdFront>
		<staticPersonExpoTimeThdFront>16666</staticPersonExpoTimeThdFront>
		<staticAnimalExpoTimeThdFront>16666</staticAnimalExpoTimeThdFront>
		<staticSceneExpoTimeThdFront>16666</staticSceneExpoTimeThdFront>
		<actionPersonExpoTimeThdFront>10101</actionPersonExpoTimeThdFront>
		<actionAnimalExpoTimeThdFront>5000</actionAnimalExpoTimeThdFront>
		<clarityThdBack>60.0</clarityThdBack>
		<clarityThdFront>50.0</clarityThdFront>
		<clarityThdShot>50.0</clarityThdShot>
		<clarityThdVideo>50.0</clarityThdVideo>
		<faceClarityThdBack>40.0</faceClarityThdBack>
		<faceClarityThdFront>40.0</faceClarityThdFront>
		<faceScoreMin>1.5</faceScoreMin>
		<faceScoreScaleThd>0.6</faceScoreScaleThd>
		<closenessThd>350</closenessThd>
		<multiStdThd>0.3</multiStdThd>
		<comMultStd>0.24</comMultStd>
		<smileConf>0.8</smileConf>
		<clarityDiffThd>10</clarityDiffThd>
		<mainPersonDiffThd>1</mainPersonDiffThd>
		<vaildNoMainDiffThd>1</vaildNoMainDiffThd>
		<noVaildNoMainDiffThd>2</noVaildNoMainDiffThd>
		<faceScoreDiffThd>0.15</faceScoreDiffThd>
		<compositionKPointDisDiffThd>0.15</compositionKPointDisDiffThd>
		<compositionCenterDisDiffThd>0.2</compositionCenterDisDiffThd>
		<compositionTLineDisDiffThd>15</compositionTLineDisDiffThd>
		<compositionDLineDisDiffThd>10</compositionDLineDisDiffThd>
		<compositionClosenessDiffThd>20.0</compositionClosenessDiffThd>
		<compositionMultStdDiffThd>0.08</compositionMultStdDiffThd>
		<actionScoreDiffThd>0.15</actionScoreDiffThd>
		<sceneClarityWeight>0.5</sceneClarityWeight>
		<clsClarityWeight>0.5</clsClarityWeight>
		<peopleClarityWeight>0.5</peopleClarityWeight>
		<sameSceneClarityThd>10</sameSceneClarityThd>
	</FrameChooseCompAlgoParams>
	<!-- order is consistent with magicMomentDetection -->
	<ActionAssesmentAlgoParams>
		<Action value ="0.0"></Action>
		<Action value ="0.5"></Action>
		<Action value ="0.7"></Action>
		<Action value ="0.9"></Action>
		<Action value ="0.6"></Action>
		<Action value ="0.9"></Action>
		<Action value ="0.9"></Action>
		<Action value ="0.5"></Action>
		<Action value ="0.6"></Action>
	</ActionAssesmentAlgoParams>
	<AnimalActionAssesmentAlgoParams>
		<Action value ="0.25"></Action>
		<Action value ="0.25"></Action>
		<Action value ="0.25"></Action>
	</AnimalActionAssesmentAlgoParams>
	<SceneThemeParams>
		<SceneCategoryPriority>
			<cat>4</cat>
			<dog>4</dog>
			<child>4</child>
			<Bicycle>7</Bicycle>
			<Panda>7</Panda>
			<EuropeanBuilding>7</EuropeanBuilding>
			<oldBuildings>7</oldBuildings>
			<people>9</people>
			<snow>11</snow>
			<flower>11</flower>
			<fallen>11</fallen>
			<sunset>11</sunset>
			<greenPlant>11</greenPlant>
			<blueSky>11</blueSky>
			<food>12</food>
			<fireworks>13</fireworks>
			<night>13</night>
			<casual>14</casual>
			<dynamicRhythm>14</dynamicRhythm>
			<relaxedCheerful>14</relaxedCheerful>
			<littleSad>14</littleSad>
		</SceneCategoryPriority>
		<CaptureCapability>
			<cat>0</cat>
			<dog>0</dog>
			<child>1</child>
			<Bicycle>0</Bicycle>
			<Panda>0</Panda>
			<EuropeanBuilding>1</EuropeanBuilding>
			<oldBuildings>1</oldBuildings>
			<people>1</people>
			<snow>0</snow>
			<flower>1</flower>
			<fallen>0</fallen>
			<sunset>1</sunset>
			<greenPlant>0</greenPlant>
			<blueSky>1</blueSky>
			<food>1</food>
			<fireworks>0</fireworks>
			<night>0</night>
		</CaptureCapability>
		<ThemeCategoryPriority>
			<Childlike>4</Childlike>
			<Travel>7</Travel>
			<PeoPle>9</PeoPle>
			<Art>10</Art>
			<Nature>11</Nature>
			<Food>12</Food>
			<Night>13</Night>
			<Casual>14</Casual>
			<DynamicRhythm>14</DynamicRhythm>
			<RelaxedCheerful>14</RelaxedCheerful>
			<LittileSad>14</LittileSad>
		</ThemeCategoryPriority>
	</SceneThemeParams>
</MMParamConfig>